import { Paths, PagesDependency } from './types';
/**
 * Search the parent directories for the Redwood configuration file.
 */
export declare const getConfigPath: () => string;
/**
 * The Redwood config file is used as an anchor for the base directory of a project.
 */
export declare const getBaseDir: (configPath?: string) => string;
/**
 * Path constants that are relevant to a Redwood project.
 */
export declare const getPaths: (BASE_DIR?: string) => Paths;
/**
 * Recursively process the pages directory and return information useful for
 * automated imports.
 */
export declare const processPagesDir: (webPagesDir?: string, prefix?: string[]) => PagesDependency[];
